# TdApi.Address (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Address

Package it.tdlight.jni

# Class TdApi.Address

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Address

Enclosing class:
  TdApi

    public static class TdApi.Address
    extends TdApi.Object

Describes an address.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `city` | City.
`static int` | `CONSTRUCTOR` |
`String` | `countryCode` | A two-letter ISO 3166-1 alpha-2 country code.
`String` | `postalCode` | Address postal code.
`String` | `state` | State, if applicable.
`String` | `streetLine1` | First line of the address.
`String` | `streetLine2` | Second line of the address.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Address()` | Describes an address.
`Address​(DataInput input)` |
`Address​(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)` | Describes an address.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### state

public String state
State, if applicable.

### city

public String city
City.

### streetLine1

public String streetLine1
First line of the address.

### streetLine2

public String streetLine2
Second line of the address.

### postalCode

public String postalCode
Address postal code.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Address

public Address()
Describes an address.

### Address

public Address​(String countryCode, String state, String city, String streetLine1, String streetLine2, String postalCode)
Describes an address.

Parameters:
  `countryCode` - String A two-letter ISO 3166-1 alpha-2 country code.
  `state` - String State, if applicable.
  `city` - String City.
  `streetLine1` - String First line of the address.
  `streetLine2` - String Second line of the address.
  `postalCode` - String Address postal code.

### Address

public Address​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`